Index: channels/chan_skinny.c
===================================================================
--- channels/chan_skinny.c	(revision 30193)
+++ channels/chan_skinny.c	(working copy)
@@ -3604,6 +3604,8 @@
 		memset(s->inbuf,0,sizeof(s->inbuf));
 		res = read(s->fd, s->inbuf, 4);
 		if (res < 0) {
+			if (skinnydebug)
+				ast_verbose("failed on read() #1 with res=%d, errno=%d", res, errno);
 			ast_log(LOG_WARNING, "read() returned error: %s\n", strerror(errno));
 			return res;
 		} else if (res != 4) {
@@ -3612,6 +3614,8 @@
 		}
 		dlen = letohl(*(int *)s->inbuf);
 		if (dlen+8 > sizeof(s->inbuf)) {
+			if (skinnydebug)
+				ast_verbose("dlen (%d) was modified, because it was higher than %d", dlen, sizeof(s->inbuf));
 			dlen = sizeof(s->inbuf) - 8;
 		}
 		*(int *)s->inbuf = htolel(dlen);
@@ -3619,6 +3623,8 @@
 		res = read(s->fd, s->inbuf+4, dlen+4);
 		ast_mutex_unlock(&s->lock);
 		if (res < 0) {
+			if (skinnydebug)
+				ast_verbose("failed on read() #2 with res=%d, errno=%d, dlen=%d", res, errno, dlen);
 			ast_log(LOG_WARNING, "read() returned error: %s\n", strerror(errno));
 			return res;
 		} else if (res != (dlen+4)) {
